var maps= L.map("map").setView([38.891, 139.824], 15);//地図の中心の座標と16は中心線のズーム
L.tileLayer('//{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
 attribution://地図はここから持ってきての指示
   '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(maps);

maps.on("click", function(e)//クリックした場所の情報を出す//
	{ //map click Event
    var popup = L.popup()
    .setLatLng(e.latlng) //
    .setContent('<h1>ここの位置情報だよ</h1><p>'+e.latlng+'</p>')
    .openOn(maps);

});


var tobishima = L.marker([38.913879, 139.829836]);
tobishima.bindPopup("定期船とびしま乗り場").addTo(maps);

var todai = L.marker([38.918675, 139.827464]);//;は終わりの意味をもつ
todai.bindPopup("木造六角灯台").addTo(maps);

var egao = L.icon({
    iconUrl:'egao.png',
    iconSize:[30,50],
    iconAnchor:[20,50],
    popupAncher:[20.70]});

var aaa = L.marker([38.913979, 139.832139]).bindPopup("めんや");
aaa.setIcon(egao).addTo(maps); //aaaの位置情報にはegaoの画像を付ける


var line = L.polyline([
    [38.904782, 139.813675],
    [38.903963, 139.816615],
    [38.898899, 139.818889],
    [38.894646, 139.819587]
],{weight:20,colre:}
);
// L.polyline(line).addTo(maps);
line.bindPopup("yamada-takayuki").addTo(maps);

//coment out

/*
coment out
*/
var katura = L.polyline([
    [39.184723, 139.547043],
    [39.185047, 139.547253],
    [39.184141, 139.54876],
    [39.184565, 139.551051],
    [39.184839, 139.555639],
    [38.913819, 139.829756]],
			{weight:10,
			}
		       );
katura.bindPopup("とびしま行きルート").addTo(maps);
